Name:           flasm
Version:        1.52
Release:        1sh
Summary:        A Flash bytecode assembler/disassembler
%define         _version_abbrev %(echo %{version} | tr -d . | head -c 2)
Group:          Development/Tools
License:        Custom
URL:            http://www.nowrap.de/%{name}.html
Packager:       Daichi Shinozaki <dseg@shield.jp>
Source0:        http://www.nowrap.de/download/%{name}%{_version_abbrev}src.zip
Source1:        flasm.1

#-----------------------------------------------------------------------------

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildRequires:  unzip, flex, bison, gperf, zlib-devel
Requires:       zlib

%description
Flasm is a free command line assembler/disassembler of Flash ActionScript bytecode. 
It lets you make changes to any SWF. 
Flasm fully supports SWFs produced by Macromedia Flash MX 2004.

#-----------------------------------------------------------------------------

%prep
%setup -q -c

#-----------------------------------------------------------------------------

%build
#make CFLAGS="$RPM_OPT_FLAGS" %{?_smp_mflags}
make CFLAGS=-O2 %{?_smp_mflags}

#-----------------------------------------------------------------------------

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}
cp flasm flasm.ini $RPM_BUILD_ROOT%{_bindir}
cp %{SOURCE1} $RPM_BUILD_ROOT%{_mandir}/man1

#-----------------------------------------------------------------------------

%clean
rm -rf $RPM_BUILD_ROOT

#-----------------------------------------------------------------------------

%files
%defattr(0644,root,root,0755)
%doc LICENSE.TXT CHANGES.TXT flasm.html classic.css logo.gif
%attr(0755,root,root) %{_bindir}/flasm
%{_bindir}/flasm.ini
%{_mandir}/man1/flasm.1*

#-----------------------------------------------------------------------------

%changelog
* Thu Dec 09 2004 Daichi Shinozaki <dseg at shield dot jp> - 1.52-1sh
- New upstream

* Sun Jul 18 2004 Daichi Shinozaki <dseg at shield dot jp> - 1.51-1sh
- Initial RPM release
